Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class AddLocalFileSystemIndexStorage

    java.lang.Object
      org.jboss.as.controller.AbstractAddStepHandler
          org.modeshape.jboss.subsystem.AbstractAddIndexStorage
              org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage
                  org.modeshape.jboss.subsystem.AddLocalFileSystemIndexStorage

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

    public class AddLocalFileSystemIndexStorage

extends AbstractAddFileSystemIndexStorage

Field Summary
`static AddLocalFileSystemIndexStorage` | `INSTANCE`

Fields inherited from class org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage
`indexSourcePathInDataDirectory, indexStoragePathInDataDirectory`

Fields inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage
`DATA_DIR_VARIABLE`

Method Summary
`protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
`protected void` | `writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexStorage)`

Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage
`addControllersAndDependencies, setIndexSourcePathInDataDirectory, setIndexStoragePathInDataDirectory`

Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage
`performRuntime, writeIndexingBackendConfiguration, writeIndexingConfiguration`

Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler
`execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AddLocalFileSystemIndexStorage INSTANCE

Method Detail

### writeIndexStorageConfiguration

    protected void writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context,
                                                  org.jboss.dmr.ModelNode storage,
                                                  EditableDocument indexStorage)
                                           throws org.jboss.as.controller.OperationFailedException

  Specified by:
    `writeIndexStorageConfiguration` in class `AbstractAddIndexStorage`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### populateModel

    protected void populateModel(org.jboss.dmr.ModelNode operation,
                                 org.jboss.dmr.ModelNode model)
                          throws org.jboss.as.controller.OperationFailedException

  Specified by:
    `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.